library benchpress.src.metric;

import 'package:angular2/di.dart' show bind;
import 'package:angular2/src/facade/async.dart' show Future, PromiseWrapper;
import 'package:angular2/src/facade/lang.dart' show ABSTRACT, BaseException;
import 'package:angular2/src/facade/collection.dart' show Map;

@ABSTRACT()
class Metric {
  static bindTo(delegateToken) {
    return [
      bind(Metric).toFactory((delegate) {
        return delegate;
      }, [delegateToken])
    ];
  }
  Future beginMeasure() {
    throw new BaseException('NYI');
  }
  Future<Map> endMeasure(bool restart) {
    throw new BaseException('NYI');
  }
  Map describe() {
    throw new BaseException('NYI');
  }
}
