library benchpress.src.web_driver_adapter;

import 'package:angular2/di.dart' show bind;
import 'package:angular2/src/facade/async.dart' show Future;
import 'package:angular2/src/facade/lang.dart' show BaseException, ABSTRACT;
import 'package:angular2/src/facade/collection.dart' show List, Map;

@ABSTRACT()
class WebDriverAdapter {
  static bindTo(delegateToken) {
    return [
      bind(WebDriverAdapter).toFactory((delegate) {
        return delegate;
      }, [delegateToken])
    ];
  }
  Future waitFor(Function callback) {
    throw new BaseException('NYI');
  }
  Future executeScript(String script) {
    throw new BaseException('NYI');
  }
  Future<Map> capabilities() {
    throw new BaseException('NYI');
  }
  Future<List> logs(String type) {
    throw new BaseException('NYI');
  }
}
